Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Geospatial Data Abstraction Library	
Name:		gdal
Version:	1.5.1
Release:	1
License:	MIT
URL:		http://mapnik.org/	
Group:		Navigation
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:  boost-devel
#BuildRequires:  glibc-devel
#BuildRequires:  freetype-devel
#BuildRequires:  libjpeg-devel
#BuildRequires:  libpng-devel
#BuildRequires:  proj-devel
#BuildRequires:  libstdc++-devel
#BuildRequires:  libtiff-devel
#BuildRequires:  python-devel

%description
GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch -p1

%build
./autogen.sh
%configure --datadir=%_datadir/gdal
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

%files
%defattr(-,root,root,-)
%_bindir
%_libdir
%_datadir/gdal

%files devel
%defattr(-,root,root,-)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-1
- Initial Release
